# Enum X509Util.ClientAuth

java.lang.Object
java.lang.Enum<X509Util.ClientAuth>
org.apache.zookeeper.common.X509Util.ClientAuth

All Implemented Interfaces:
  `Serializable, Comparable<X509Util.ClientAuth>`

Enclosing class:
  `X509Util`

public static enum X509Util.ClientAuth extends Enum<X509Util.ClientAuth>
Enum specifying the client auth requirement of server-side TLS sockets created by this X509Util.

- NONE - do not request a client certificate.
- WANT - request a client certificate, but allow anonymous clients to connect.
- NEED - require a client certificate, disconnect anonymous clients.

If the config property is not set, the default value is NEED.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NEED`
`NONE`
`WANT`

## Method Summary

Modifier and Type
Method
Description
`static X509Util.ClientAuth`
`fromPropertyValue(String prop)`
Converts a property value to a ClientAuth enum.
`io.netty.handler.ssl.ClientAuth`
`toNettyClientAuth()`
`static X509Util.ClientAuth`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static X509Util.ClientAuth[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final X509Util.ClientAuth NONE

### WANT

public static final X509Util.ClientAuth WANT

### NEED

public static final X509Util.ClientAuth NEED

## Method Details

### values

public static X509Util.ClientAuth[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static X509Util.ClientAuth valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromPropertyValue

public static X509Util.ClientAuth fromPropertyValue(String prop)
Converts a property value to a ClientAuth enum. If the input string is empty or null, returns `ClientAuth.NEED`.

Parameters:
  `prop` - the property string.
Returns:
  the ClientAuth.
Throws:
  `IllegalArgumentException` - if the property value is not "NONE", "WANT", "NEED", or empty/null.

### toNettyClientAuth

public io.netty.handler.ssl.ClientAuth toNettyClientAuth()